package LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima::ArbolCentral;

use v5.36.0;

use strict;
use warnings;

use feature 'signatures';

use utf8;

use Moo;

use LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima;
use LasTres::PJAction::GolpearArbolCentralTribuDeLaLima;

with 'LasTres::Location';

sub identifier {
    return 'arbol_central';
}

sub name {
    return 'Árbol central';
}

sub description {
    return 'Desde este árbol se puede contemplar toda la Tribu de la Lima, sus casitas de paja y los cultivos de lima.';
}

sub parent {
    return LasTres::Planet::Bahdder::BosqueDelHeroe::TribuDeLaLima->instance;
}

sub actions {
    return [
        LasTres::PJAction::GolpearArbolCentralTribuDeLaLima->new
    ];
}

sub npcs {
    return [];
}

sub connected_places {
    return [];
}

my $singleton;
sub instance {
    my $class = shift;
    if (!defined $singleton) {
        $singleton = $class->new(@_);
    }
    return $singleton;
}

sub is_spawn {
    return 1;
}
1;
